<ui:composition xmlns:gri="http://java.sun.com/jsf/composite/gri" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:g="http://www.ihe.net/gazelle" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:h="http://java.sun.com/jsf/html"
                xmlns:rich="http://richfaces.org/rich" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns="http://www.w3.org/1999/xhtml" template="/layout/template.xhtml">
    <ui:define name="body">
        <h:form id="globalForm">
            <h1>
                <s:div>
                    <h:outputText rendered="#{orderManager.labOrder != null and orderManager.labOrder.workOrder}"
                                  value="#{messages['gazelle.ordermanager.WorkOrderDetails']}"/>
                    <h:outputText rendered="#{orderManager.labOrder == null or not orderManager.labOrder.workOrder}"
                                  value="#{messages['gazelle.ordermanager.LaboratoryOrderDetails']}"/>
                </s:div>
            </h1>
            <s:decorate template="/layout/panels/_panel.xhtml"
                        rendered="#{orderManager.labOrder == null}">
                <ui:param name="bodyStyleClass" value="bg-danger"/>
                <span class="gzl-icon-exclamation-triangle"/>
                <h:outputText value="#{messages['gazelle.ordermanager.TheGivenIdDoesNotMatchAnExistingOrder']} !"/>
            </s:decorate>
            <s:div id="globalDiv" rendered="#{orderManager.labOrder != null}">
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.GeneralInformation']}</ui:define>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.Domain']}</ui:define>
                            <h:outputText value="#{orderManager.labOrder.domain.name}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.OwnedByActor']}</ui:define>
                            <h:outputText value="#{orderManager.labOrder.simulatedActor.name}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.Creator']}</ui:define>
                            <h:outputText value="#{orderManager.labOrder.creator}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.LastChangedOn']}</ui:define>
                            <g:date value="#{orderManager.labOrder.lastChanged}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.LastOrderControlCodeReceived']}
                            </ui:define>
                            <h:outputText value="#{orderManager.labOrder.orderControlCode}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.Status']}</ui:define>
                            <h:outputText value="#{orderManager.labOrder.orderStatus}"
                                          rendered="#{orderManager.labOrder.orderStatus != null}"/>
                            <h:outputText value="#{messages['gazelle.ordermanager.Unknown']}"
                                          rendered="#{orderManager.labOrder.orderStatus == null}"/>
                        </s:decorate>
                    </dl>
                    <s:div styleClass="form-inline"
                           rendered="#{orderManager.labOrder.simulatedActor.keyword.equals('ANALYZER_MGR')
                                     and (orderManager.labOrder.orderControlCode.equals('NW') or orderManager.labOrder.orderControlCode.equals('UA'))}">
                        <s:decorate template="/layout/form/_edit.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.SendThisAWOSTo']}</ui:define>
                            <ui:param name="id" value="sutSelect"/>
                            <h:selectOneMenu value="#{userPreferencesManagerBean.selectedSUT}"
                                             id="sutSelect" styleClass="form-control">
                                <s:selectItems
                                        value="#{hl7v2ResponderSUTConfiguration.getAllConfigurationsForSelection('LAB-28', 'MLLP')}"
                                        var="sut" label="#{sut.name}"
                                        noSelectionLabel="#{messages['gazelle.simulator.PleaseSelect']}"/>
                            </h:selectOneMenu>
                        </s:decorate>
                        <a4j:commandButton value="#{messages['gazelle.ordermanager.Send']}" action="#{orderManager.broadcastWOS()}"
                                           styleClass="gzl-btn-green"/>
                    </s:div>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.PatientsDemographics']}</ui:define>
                    <ui:include src="/patient/showAbstractPatientDemographic.xhtml">
                        <ui:param name="patient" value="#{orderManager.patient}"/>
                        <ui:param name="codeProvider" value="#{omDemographicCodeProvider}"/>
                    </ui:include>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.PatientsAddress']}</ui:define>
                    <ui:include src="/patient/showAbstractPatientAddress.xhtml">
                        <ui:param name="patient" value="#{orderManager.patient}"/>
                    </ui:include>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.PatientsIdentifiers']}</ui:define>
                    <rich:list value="#{orderManager.patient.patientIdentifiers}" var="pid" type="unordered">
                        <h:outputText value="#{pid.identifier} (#{pid.identifierTypeCode})"/>
                    </rich:list>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.PatientsEncounters']}</ui:define>
                    <dl class="dl-horizontal">
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.VisitNumber']}</ui:define>
                            <h:outputText value="#{orderManager.encounter.visitNumber}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.PatientClass']}</ui:define>
                            <h:outputText value="#{orderManager.encounter.getPatientClass()}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.ReferringDoctor']}</ui:define>
                            <h:outputText value="#{orderManager.encounter.getReferringDoctor()}"/>
                        </s:decorate>
                        <s:decorate template="/layout/display/_data_list_item.xhtml">
                            <ui:define name="label">#{messages['gazelle.ordermanager.AssignedPatientsLocation']}
                            </ui:define>
                            <h:outputText value="#{orderManager.encounter.assignedPatientLocation}"/>
                        </s:decorate>
                    </dl>
                </ui:decorate>
                <ui:decorate template="/layout/panels/_panel_title.xhtml">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.OrderDetails']}</ui:define>
                    <ui:include src="/lab/labOrderDetails.xhtml">
                        <ui:param name="selectedOrder" value="#{orderManager.labOrder}"/>
                        <ui:param name="enableStatusEdit" value="false"/>
                    </ui:include>
                </ui:decorate>
                <s:decorate template="/layout/panels/_panel_title.xhtml"
                            rendered="#{not empty orderManager.labOrder.observations}">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.RelatedObservations']}</ui:define>
                    <ui:include src="/lab/observationsTable.xhtml">
                        <ui:param name="observations" value="#{orderManager.labOrder.observations}"/>
                        <ui:param name="allowUpdate" value="false"/>
                    </ui:include>
                </s:decorate>
                <s:decorate template="/layout/panels/_panel_title.xhtml"
                            rendered="#{not empty orderManager.labOrder.specimens}">
                    <ui:define name="panel_title">#{messages['gazelle.ordermanager.RelatedSpecimens']}</ui:define>
                    <rich:dataTable value="#{orderManager.labOrder.specimens}" var="specimen"
                                    rows="#{dataScrollerMemory.numberOfResultsPerPage}"
                                    render="ds" id="spmlist">
                        <ui:include src="/lab/specimenColumns.xhtml">
                            <ui:param name="specimen" value="#{specimen}"/>
                        </ui:include>
                        <g:column>
                            <ui:define name="header">#{messages['users.Action']}</ui:define>
                            <h:outputLink
                                    value="#{applicationConfiguration.getValueOfVariable('application_url')}#{specimenBrowser.getPermanentLink(specimen.id)}"
                                    title="#{messages['gazelle.ordermanager.AccessDetails']}">
                                <s:span styleClass="gzl-icon-search "/>
                            </h:outputLink>
                        </g:column>
                        <f:facet name="footer">
                            <ui:include src="/util/datatableFooter.xhtml">
                                <ui:param name="dataScrollerId" value="ds"/>
                                <ui:param name="dataTableId" value="spmlist"/>
                            </ui:include>
                        </f:facet>
                        <!-- TODO : display observations to the user -->
                        <!--<ui:include src="/lab/observationColspan.xhtml">
                            <ui:param name="observations" value="#{specimen.observations}"/>
                            <ui:param name="nbOfColumnsToSpan" value="8"/>
                            <ui:param name="panelTitle"
                                      value="#{messages['gazelle.ordermanager.RelatedObservations']}"/>
                            <ui:param name="parentType" value="specimen"/>
                            <ui:param name="spm" value="#{specimen}"/>
                            <ui:param name="currentOrder" value="null"/>
                            <ui:param name="displayAddButton" value="false"/>
                        </ui:include>-->
                    </rich:dataTable>
                </s:decorate>
            </s:div>
            <br/>
            <br/>
        </h:form>
    </ui:define>
</ui:composition>
